package com.infragistics.backingBeans;

import javax.faces.component.html.HtmlOutputText;
import javax.faces.context.FacesContext;

import com.infragistics.faces.window.component.html.HtmlDialogButtonCloseBox;
import com.infragistics.faces.window.component.html.HtmlDialogButtonMaximizeBox;
import com.infragistics.faces.window.component.html.HtmlDialogButtonMinimizeBox;
import com.infragistics.faces.window.component.html.HtmlDialogWindow;
import com.infragistics.faces.window.component.html.HtmlDialogWindowContentPane;
import com.infragistics.faces.window.component.html.HtmlDialogWindowHeader;
import com.infragistics.faces.window.component.html.HtmlResizer;

public class WebDialogWindow {

	public WebDialogWindow() {
		super();
	}

	private HtmlDialogWindow dw;

	private String dwClientId;

	public String getDwClientId() {
		FacesContext context = FacesContext.getCurrentInstance();
		dwClientId = dw.getClientId(context);
		return dwClientId;
	}

	public void setDwClientId(String dwClientId) {
		this.dwClientId = dwClientId;
	}

	public HtmlDialogWindow getDw() {
		dw =  new HtmlDialogWindow();
		HtmlDialogWindowHeader dgWinHeader =  new HtmlDialogWindowHeader();
		dgWinHeader.setCaptionText("Some Caption");
		
		HtmlDialogButtonMaximizeBox dgMaxButton = new HtmlDialogButtonMaximizeBox();
		HtmlDialogButtonMinimizeBox dgMinButton = new HtmlDialogButtonMinimizeBox();
		HtmlDialogButtonCloseBox dgCloseButton = new HtmlDialogButtonCloseBox();
		dgWinHeader.getChildren().add(dgMaxButton);
		dgWinHeader.getChildren().add(dgMinButton);
		dgWinHeader.getChildren().add(dgCloseButton);	
	

		HtmlDialogWindowContentPane contentPane = new HtmlDialogWindowContentPane();
		HtmlOutputText outputTxt = new HtmlOutputText();
		outputTxt.setValue("Some OutputText content");
		contentPane.getChildren().add(outputTxt);
		
		HtmlResizer resizer = new HtmlResizer();
			
		dw.getChildren().add(dgWinHeader);
		dw.getChildren().add(contentPane);
		dw.getChildren().add(resizer);
		dw.setWindowState("hidden");
		dw.setModal(true);
		dw.setInitialPosition("center");

		return dw;
	}

	public void setDw(HtmlDialogWindow dw) {
		this.dw = dw;
	}

}
